# PhasicFlow: includeMask Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

includeMask Class Referenceabstract
Inheritance diagram for includeMask:
[legend]
Collaboration diagram for includeMask:
[legend]

## Public Member Functions

| TypeInfo ("includeMask")
| includeMask (const dictionary &dict, const word &opType, readFromTimeFolder &timeFolder)
virtual | ~includeMask ()=default
| create_vCtor (includeMask, dictionary,(const dictionary &dict, const word &opType, readFromTimeFolder &timeFolder),(dict, opType, timeFolder))
word | fieldName () const
word | fieldType () const
word | operatorType () const
auto & | timeFolder ()
virtual bool | isIncluded (int32 n) const =0
virtual uint32 | size () const =0
bool | operator() (int32 n) const

## Static Public Member Functions

static uniquePtr< includeMask > | create (const dictionary &dict, const word &opType, readFromTimeFolder &timeFolder)

## Static Protected Member Functions

static bool | getFieldType (const dictionary &dict, readFromTimeFolder &timeFolder, word &fName, word &fType)

## Protected Attributes

word | fieldName_
word | fieldType_
word | operatorType_
readFromTimeFolder & | timeFolder_

## Detailed Description

Definition at line 33 of file includeMask.hpp.

## Constructor & Destructor Documentation

## includeMask()

includeMask | ( | const dictionary & | dict,
|  | const word & | opType,
|  | readFromTimeFolder & | timeFolder
| ) |  |

Definition at line 24 of file includeMask.cpp.

References fatalExit, includeMask::fieldName_, includeMask::fieldType_, and includeMask::getFieldType().

Here is the call graph for this function:

## ~includeMask()

virtual ~includeMask | ( |  | ) |

virtualdefault

## Member Function Documentation

## getFieldType()

bool getFieldType | ( | const dictionary & | dict,
|  | readFromTimeFolder & | timeFolder,
|  | word & | fName,
|  | word & | fType
| ) |  |

staticprotected

Definition at line 41 of file includeMask.cpp.

References pFlow::endl(), fatalErrorInFunction, and dictionary::getValOrSet().

Referenced by includeMask::includeMask().

Here is the call graph for this function:
Here is the caller graph for this function:

## TypeInfo()

TypeInfo | ( | "includeMask" |  | ) |

## create_vCtor()

create_vCtor | ( | includeMask | ,
|  | dictionary | ,
|  | (const dictionary &dict, const word &opType, readFromTimeFolder &timeFolder) | ,
|  | (dict, opType, timeFolder) |
| ) |  |

## fieldName()

word fieldName | ( |  | ) | const

inline

Definition at line 66 of file includeMask.hpp.

References includeMask::fieldName_.

## fieldType()

word fieldType | ( |  | ) | const

inline

Definition at line 71 of file includeMask.hpp.

References includeMask::fieldType_.

## operatorType()

word operatorType | ( |  | ) | const

inline

Definition at line 76 of file includeMask.hpp.

References includeMask::operatorType_.

## timeFolder()

auto& timeFolder | ( |  | ) |

inline

Definition at line 81 of file includeMask.hpp.

References includeMask::timeFolder_.

## isIncluded()

virtual bool isIncluded | ( | int32 | n | ) | const

pure virtual

Implemented in IncludeMask< T, allOp< T > >, and IncludeMask< T, Operator >.

Referenced by includeMask::operator()().

Here is the caller graph for this function:

## size()

virtual uint32 size | ( |  | ) | const

pure virtual

Implemented in IncludeMask< T, allOp< T > >, and IncludeMask< T, Operator >.

## operator()()

bool operator() | ( | int32 | n | ) | const

inline

Definition at line 90 of file includeMask.hpp.

References includeMask::isIncluded(), and n.

Here is the call graph for this function:

## create()

pFlow::uniquePtr< pFlow::includeMask > create | ( | const dictionary & | dict,
|  | const word & | opType,
|  | readFromTimeFolder & | timeFolder
| ) |  |

static

Definition at line 68 of file includeMask.cpp.

References pFlow::angleBracketsNames2(), END_REPORT, fatalError, fatalExit, Green_Text, pFlow::printKeys(), and REPORT.

Referenced by countField::countField(), and processField::processField().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## fieldName_

word fieldName_

protected

Definition at line 36 of file includeMask.hpp.

Referenced by includeMask::fieldName(), and includeMask::includeMask().

## fieldType_

word fieldType_

protected

Definition at line 38 of file includeMask.hpp.

Referenced by includeMask::fieldType(), and includeMask::includeMask().

## operatorType_

word operatorType_

protected

Definition at line 40 of file includeMask.hpp.

Referenced by includeMask::operatorType().

## timeFolder_

readFromTimeFolder& timeFolder_

protected

Definition at line 42 of file includeMask.hpp.

Referenced by includeMask::timeFolder().

The documentation for this class was generated from the following files:

- utilities/postprocessPhasicFlow/includeMask.hpp
- utilities/postprocessPhasicFlow/includeMask.cpp